Subject: Re: [DMM] [Int-dir] Review of draft-ietf-dmm-lma-controlled-mag-params-02

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Thu, 2 Feb 2017 04:25:37 +0000

Hi Suresh,

Dhananjay has an updated draft, he will post it this week.

Regards
Sri

On 1/27/17, 11:10 AM, "Suresh Krishnan" <[email-masked]>
wrote:

>Hi Dhananjay/authors,
>  Any progress on this? I would like to get this moving soon.
>
>Thanks
>Suresh
>
>On 12/22/16, 4:35 AM, "Int-dir on behalf of Dhananjay Patki (dhpatki)"
><[email-masked] on behalf of [email-masked]> wrote:
>
>    Hello,
>    
>    Thanks for the review. We will address the comments and get back with
>a new version of the draft.
>    --
>    Regards,
>    Dhananjay
>    
>    
>    -----Original Message-----
>    From: Ralph Droms <[email-masked]>
>    Date: Wednesday, 21 December 2016 at 11:51 PM
>    To: "[email-masked]" <[email-masked]>
>    Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>,
>"[email-masked]"
><[email-masked]>
>    Subject: Review of draft-ietf-dmm-lma-controlled-mag-params-02
>    Resent-From: <[email-masked]>
>    Resent-To: <[email-masked]>, <[email-masked]>,
><[email-masked]>, <[email-masked]>, <[email-masked]>,
><[email-masked]>, <[email-masked]>,
><[email-masked]>, <[email-masked]>, Dapeng Liu
><[email-masked]>, <[email-masked]>
>    Resent-Date: Wednesday, 21 December 2016 at 11:51 PM
>    
>    Reviewer: Ralph Droms
>    Review result: Ready with Issues
>    
>    Major issues:  None
>    
>    Minor issues:
>    
>    The mechanism described in this document is fairly simple.  I
>    recommend that the specific semantics of the use of the parameter
>    options should be explained with greater clarity to ensure correct and
>    interoperable implementations.  For example, I found the description
>    of LMA behavior in section 5.1 to be quite convoluted and confusing.
>    Putting the "if...then...else" construct in two bullets seemed obtuse.
>     In the first bullet, the LMA "SHOULD include" the sub-option.  Are
>    there circumstances under which the LMA would not include the
>    sub-option and, if so, what are those circumstances?  Can the LMA
>    decide, perhaps for efficiency, to return the sub-option in only, say,
>    one of ten responses to the MAG?
>    
>    Is there a specific reason for encoding the LAM Controlled MAG Session
>    Parameters as sub-options under the LAM-Controlled-MAG-Parameters
>    option?  Will additional sub-options be defined in the future?
>    
>    Editorial issues.
>    
>    For clarity, the document should use acronyms and names for system
>    components in a consistent way: use acronyms throughout and expand the
>    acronym on first use.  For example, LMA and "local mobility anchor"
>    are used interchangeably throughout the document, which this reviewer
>    found to be distracting.
>    
>    What is the expansion for "PBU"?
>    
>    The use of the "Configuration Variables" defined in section 4 is
>    repeated in section 5.1.  To avoid internal inconsistency, I recommend
>    that the use of the variable be described only once, with internal
>    pointers to that text from other places in the document.
>    
>    In section 6, it would help the reader to include the name of the
>    registry to be modified in the first bullet.
>    
>    
>    
>    
>    _______________________________________________
>    Int-dir mailing list
>    [email-masked]
>    https://www.ietf.org/mailman/listinfo/int-dir
>    
>